DependencyVisitor (Apache Ant API)
Date: 2016-08-23

org.apache.tools.ant.util.depend.bcel

## Class DependencyVisitor

- java.lang.Object
- - EmptyVisitor
  - - org.apache.tools.ant.util.depend.bcel.DependencyVisitor

-     public class DependencyVisitor
      extends EmptyVisitor

  A BCEL visitor implementation to collect class dependency information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearDependencies()` Clear the current set of collected dependencies.
    `java.util.Enumeration<java.lang.String>` | `getDependencies()` Get the dependencies collected by this visitor
    `void` | `visitConstantClass(ConstantClass constantClass)` Visit a class reference
    `void` | `visitConstantNameAndType(ConstantNameAndType obj)` Visit a name and type ref Look for class references in this
    `void` | `visitConstantPool(ConstantPool constantPool)` Visit the constant pool of a class
    `void` | `visitField(Field field)` Visit a field of the class.
    `void` | `visitJavaClass(JavaClass javaClass)` Visit a Java class
    `void` | `visitMethod(Method method)` Visit a method of the current class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyVisitor

          public DependencyVisitor()

  - ### Method Detail

    - #### getDependencies

          public java.util.Enumeration<java.lang.String> getDependencies()

      Get the dependencies collected by this visitor
      Returns:
        a Enumeration of classnames, being the classes upon which the visited classes depend.

    - #### clearDependencies

          public void clearDependencies()

      Clear the current set of collected dependencies.

    - #### visitConstantPool

          public void visitConstantPool(ConstantPool constantPool)

      Visit the constant pool of a class
      Parameters:
        `constantPool` - the constant pool of the class being visited.

    - #### visitConstantClass

          public void visitConstantClass(ConstantClass constantClass)

      Visit a class reference
      Parameters:
        `constantClass` - the constantClass entry for the class reference

    - #### visitConstantNameAndType

          public void visitConstantNameAndType(ConstantNameAndType obj)

      Visit a name and type ref Look for class references in this
      Parameters:
        `obj` - the name and type reference being visited.

    - #### visitField

          public void visitField(Field field)

      Visit a field of the class.
      Parameters:
        `field` - the field being visited

    - #### visitJavaClass

          public void visitJavaClass(JavaClass javaClass)

      Visit a Java class
      Parameters:
        `javaClass` - the class being visited.

    - #### visitMethod

          public void visitMethod(Method method)

      Visit a method of the current class
      Parameters:
        `method` - the method being visited.